Get a unit by ID
https://api.propexo.com/v1/units/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /Units |
101The external ID of the property from the integration vendor
| Method |
|---|
| GET /Units |
12The external ID of the floor plan from the integration vendor
| Method |
|---|
| GET /Units |
8The external ID of the unit type from the integration vendor
| Method |
|---|
| GET /Units |
4The number of bathrooms associated with the unit
| Method |
|---|
| GET /Units |
1.5The number of full bathrooms associated with the unit
| Method |
|---|
| GET /Units |
1The number of half bathrooms associated with the unit
| Method |
|---|
| GET /Units |
1The number of bedrooms associated with the unit
| Method |
|---|
| GET /Units |
2The building name associated with the unit
This field will always be null for RENTMANAGER
nullThe building number associated with the unit
This field will always be null for RENTMANAGER
nullThe city associated with the unit
| Method |
|---|
| GET /Units |
BostonThe country associated with the unit
This field will always be null for RENTMANAGER
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
Deprecated in favor of floor_plan_id
| Method |
|---|
| GET /Units |
8The floor plan name associated with the unit
Deprecated in favor of floor_plan_id
| Method |
|---|
| GET /Units |
2 Bedroom / 1.5 BathroomThe floor number/name associated with the unit
This field will always be null for RENTMANAGER
nullWhether the unit is available
This field will always be null for RENTMANAGER
nullWhether the unit is furnished
This field will always be null for RENTMANAGER
nullDEPRECATED: Use listings endpoints.
This field will always be null for RENTMANAGER
nullWhether the unit is vacant
| Method |
|---|
| GET /Units |
trueThe unit number
| Method |
|---|
| GET /Units |
101AThe market rent amount in cents for the unit
| Method |
|---|
| GET /Units |
2500The maximum rent amount in cents
This field will always be null for RENTMANAGER
nullThe minimum rent amount in cents
This field will always be null for RENTMANAGER
nullThe square footage of the unit
| Method |
|---|
| GET /Units |
Possible values: >= 0
1400The state associated with the unit
| Method |
|---|
| GET /Units |
MADeprecated: Use address_1
| Method |
|---|
| GET /Units |
Deprecated: Use address_2
This field will always be null for RENTMANAGER
nullThe first address line associated with the unit
| Method |
|---|
| GET /Units |
101 Main StThe second address line associated with the unit
| Method |
|---|
| GET /Units |
101 Main StThe zip code associated with the unit
| Method |
|---|
| GET /Units |
02114Whether or not pets are allowed
This field will always be null for RENTMANAGER
nullWhether or not dogs are allowed
This field will always be null for RENTMANAGER
nullWhether or not cats are allowed
This field will always be null for RENTMANAGER
nullThe pet policy for the unit
This field will always be null for RENTMANAGER
nullThe Propexo unique identifier for the floor plan
| Method |
|---|
| GET /Units |
cm7xvp5vb88803888363al35e7bse4zThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
| Method |
|---|
| GET /Units |
testintegration:4:1:123Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "101",
"x_property_id": "12",
"x_floor_plan_id": "8",
"x_unit_type_id": "4",
"bathrooms": "1.5",
"bathrooms_full": 1,
"bathrooms_half": 1,
"bedrooms": "2",
"building_name": null,
"building_number": null,
"city": "Boston",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor": null,
"is_available": null,
"is_furnished": null,
"is_vacant": true,
"number": "101A",
"rent_amount_market_in_cents": 2500,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": 1400,
"state": "MA",
"address_1": "101 Main St",
"address_2": "101 Main St",
"zip": "02114",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": "testintegration:4:1:123"
}
}